### Hierarchy

- EventTarget
  - IDBDatabase

## Index

### Properties

- EventTarget
- name
- objectStoreNames
- onabort
- onclose
- onerror
- onversionchange
- version

### Methods

- addEventListener
- close
- createObjectStore
- deleteObjectStore
- dispatchEvent
- removeEventListener
- transaction

## Properties

### EventTarget

EventTarget: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5081

#### Type declaration

- ##### constructor: function

  - new __type(): EventTarget
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5082

    #### Returns EventTarget

- ##### prototype: EventTarget

### name

name: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8780

Returns the name of the database.

### objectStoreNames

objectStoreNames: DOMStringList

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8784

Returns a list of the names of object stores in the database.

### onabort

onabort: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8785

### onclose

onclose: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8786

### onerror

onerror: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8787

### onversionchange

onversionchange: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8788

### version

version: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8792

Returns the version of the database.

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8812

  #### Type parameters

  - #### K: keyof IDBDatabaseEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBDatabase, ev: IDBDatabaseEventMap[K]): any

      - #### Parameters

        - ##### this: IDBDatabase

        - ##### ev: IDBDatabaseEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides EventTarget.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8813

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### close

- close(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8796

  Closes the connection once all running transactions have finished.

  #### Returns void

### createObjectStore

- createObjectStore(name: string, optionalParameters?: IDBObjectStoreParameters): IDBObjectStore

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8801

  Creates a new object store with the given name and options and returns a new IDBObjectStore. Throws a "InvalidStateError" DOMException if not called within an upgrade transaction.

  #### Parameters

  - ##### name: string

  - ##### Optional optionalParameters: IDBObjectStoreParameters

  #### Returns IDBObjectStore

### deleteObjectStore

- deleteObjectStore(name: string): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8806

  Deletes the object store with the given name. Throws a "InvalidStateError" DOMException if not called within an upgrade transaction.

  #### Parameters

  - ##### name: string

  #### Returns void

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8814

  #### Type parameters

  - #### K: keyof IDBDatabaseEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: IDBDatabase, ev: IDBDatabaseEventMap[K]): any

      - #### Parameters

        - ##### this: IDBDatabase

        - ##### ev: IDBDatabaseEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides EventTarget.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8815

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### transaction

- transaction(storeNames: string | string[], mode?: IDBTransactionMode): IDBTransaction

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:8811

  Returns a new transaction with the given mode ("readonly" or "readwrite") and scope which can be a single object store name or an array of names.

  #### Parameters

  - ##### storeNames: string | string[]

  - ##### Optional mode: IDBTransactionMode

  #### Returns IDBTransaction

Generated using TypeDoc